/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 17:02:06.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.common.upyun;

import main.java.com.UpYun;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author: fengdesheng
 * @since: 2018/11/1
 */
@Component
public class UpYunClient {
    @Autowired
    private UpYunProperty upYunProperty;

    public UpYun getInstance() {
        UpYun upyun = new UpYun(upYunProperty.getBucket(), upYunProperty.getOperator(), upYunProperty.getPsw());
        upyun.setDebug(true);
        upyun.setApiDomain(UpYun.ED_AUTO);
        return upyun;
    }

    public UpYunProperty getProperty() {
        return upYunProperty;
    }

}