/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 16:01:30.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.controller;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.print.common.upyun.UpYunProperty;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 文件上传相关接口
 *
 * @author: fengdesheng
 * @since: 2018/11/01
 */
@RestController
@Api(tags = "文件上传相关接口")
@RequestMapping("${$rmp.ctrl.print}/upload")
public class UploadController extends ControllerSupport {
    @Autowired
    private UpYunProperty upYunProperty;

    @PostMapping("/upyun/info")
    @ApiOperation(value = "获取又拍云信息")
    public UpYunProperty getUpYunInfo() {
        return upYunProperty;
    }

}